6.0.0-git
2019-09-20

[#7828] Multiple identities not saving in imp/horde
Summary Multiple identities not saving in imp/horde
Queue IMP
Queue Version HEAD
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester ehymel (at) e-medico (dot) com
Created 2009-01-07 (3908 days ago)
Due
Updated 2009-01-27 (3888 days ago)
Assigned 2009-01-09 (3906 days ago)
Resolved 2009-01-27 (3888 days ago)
Milestone
Patch No

History
2009-01-27 19:31:55 Michael Slusarz Comment #14
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
Fixed in Horde 3.3.4-cvs.
2009-01-26 20:26:44 horde (at) immerda (dot) ch Comment #10 Reply to this comment
we can confirm that this fix, fixed our problem with horde 3.3.2
2009-01-26 01:05:44 ehymel (at) e-medico (dot) com Comment #9 Reply to this comment
Works perfectly for me... thanks very much!!!



By the way, I made the change in 2 files:

/usr/share/pear/Horde/String.php

and

<my_horde_root>/framework/Util/String.php



Not sure which one is needed to have the change, but the files are 
probably related anyway.
2009-01-25 17:38:27 manuel (at) mausz (dot) at Comment #8 Reply to this comment
Here's a fix for this bug (hopefully without side effects).

Without reset(...) the array entry with index=0 will get lost.



--- horde3/lib/Horde/String.php 2008-12-14 16:43:17.000000000 +0100

+++ /dev/null        2009-01-25 18:34:53.000000000 +0100

@@ -94,6 +94,7 @@



          if (is_array($input)) {

              $tmp = array();

+            reset($input);

              while (list($key, $val) = each($input)) {

                  $tmp[String::_convertCharset($key, $from, $to)] = 
String::convertCharset($val, $from, $to);

              }
2009-01-23 15:05:51 horde (at) immerda (dot) ch Comment #7 Reply to this comment
Same problem with horde 3.3.2 and imp 4.3.2.
2009-01-09 17:29:38 postmaster (at) laydev (dot) net Comment #6 Reply to this comment
Not sure when this started since I haven't changed or added an
identity in several months. Using options -> Mail -> Personal
Information *or* options -> Global Options -> Personal Information
(why have both??), if I create a new identity, all previous
identities are wiped out, and the new identity is not saved. I can
save one identity only.
Same Problem here
2009-01-09 16:02:07 ehymel (at) e-medico (dot) com Comment #5 Reply to this comment
And you are really using HEAD, i.e. IMP from git?
Actually IMP from cvs. I will move to git if it makes a difference. My 
last cvs update was 1/5/09.



This is my test.php output:



Horde Version

Horde: 4.0-cvs

Horde Applications

Dimp: H3 (2.0-cvs)

Gollem: H3 (1.1-cvs) (run Gollem tests)

Horde: 4.0-cvs

Imp: H3 (5.0-cvs) (run Imp tests)

Ingo: H3 (2.0-cvs) (run Ingo tests)

Klutz: 1.0-cvs (run Klutz tests)

Kronolith: H3 (3.0-cvs) (run Kronolith tests)

Mimp: H3 (2.0-cvs)

Nag: H3 (3.0-cvs)

Passwd: H3 (3.1-cvs) (run Passwd tests)

Turba: H3 (3.0-cvs) (run Turba tests)


2009-01-09 09:22:51 Jan Schneider Comment #4
State ⇒ Feedback
Reply to this comment
And you are really using HEAD, i.e. IMP from git?
2009-01-09 04:55:07 ehymel (at) e-medico (dot) com Comment #3 Reply to this comment
I got the same problem. The cause was an empty value in
$conf[prefs][params][table] (the laste item in Administration ->
Setup -> Horde -> Preference System).
Set this value to your preference table (default is horde_prefs)
As you said, the default is horde_prefs and that is what I have always 
used. I put the default in anyway and the behavior does not change. I 
cannot create another identity.



Some more details about the behavior.



1. I can create an identity, let's call it id1 and save all 
corresponding information. That identity will work as expected in 
email and I can edit the details of id1 with no problem.

2. If I now create a new identity, say id2, horde acts as if it saves. 
But when I go back to "Personal Information" the "Default Identity" is 
now listed as id2, and all information about that identity is blank. 
Further, both id1 and id2 are missing from the drop-down list of 
identities. Instead, there is a listing in the drop-down list that has 
an empty name with no information saved in that blank name identity.

3. If I delete that blank identity, the resulting information message 
says "id2 deleted", then reverts back to id1 as my default, although 
now id1 contains no information.



The other users on my server can still see identities created several 
months ago, but just like me, if they try to create a new identity 
then all identities are lost.
2009-01-08 22:53:10 geblatene_leis (at) gmx (dot) de Comment #2 Reply to this comment
Not sure when this started since I haven't changed or added an
identity in several months. Using options -> Mail -> Personal
Information *or* options -> Global Options -> Personal Information
(why have both??), if I create a new identity, all previous
identities are wiped out, and the new identity is not saved. I can
save one identity only.
I got the same problem. The cause was an empty value in 
$conf[prefs][params][table] (the laste item in Administration -> Setup 
-> Horde -> Preference System).

Set this value to your preference table (default is horde_prefs)


2009-01-07 18:26:13 ehymel (at) e-medico (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Multiple identities not saving in imp/horde
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Not sure when this started since I haven't changed or added an 
identity in several months. Using options -> Mail -> Personal 
Information *or* options -> Global Options -> Personal Information 
(why have both??), if I create a new identity, all previous identities 
are wiped out, and the new identity is not saved. I can save one 
identity only.

Saved Queries